## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSS.WritableFiles

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.optional.vss.MSVSS.WritableFiles

Enclosing class:
  MSVSS

    public static class MSVSS.WritableFiles

extends EnumeratedAttribute

Extention of EnumeratedAttribute to hold the values for writable filess.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`MSVSS.WritableFiles()`

Method Summary
`java.lang.String[]` `getValues()` Gets the list of allowable values.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MSVSS.WritableFiles

    public MSVSS.WritableFiles()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Gets the list of allowable values.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    The values.